micro_utils.dokka
0.15.1

# TypedSerializer

open class TypedSerializer<T : Any>(kClass: KClass<T>, presetSerializers: Map<String, KSerializer<out T>> = emptyMap()) : KSerializer<T>

## Constructors

TypedSerializer
Link copied to clipboard
fun <T : Any> TypedSerializer(kClass: KClass<T>, presetSerializers: Map<String, KSerializer<out T>> = emptyMap())

## Functions

deserialize
Link copied to clipboard
open override fun deserialize(decoder: Decoder): T
exclude
Link copied to clipboard
open fun exclude(type: String)
include
Link copied to clipboard
open fun <O : T> include(type: String, serializer: KSerializer<O>)
serialize
Link copied to clipboard
open override fun serialize(encoder: Encoder, value: T)

## Properties

descriptor
Link copied to clipboard
open override val descriptor: SerialDescriptor

## Extensions

minusAssign
Link copied to clipboard
@InternalSerializationApi
operator fun <T : Any> TypedSerializer<T>.minusAssign(kClass: KClass<T>)
plusAssign
Link copied to clipboard
@InternalSerializationApi
operator fun <T : Any> TypedSerializer<T>.plusAssign(kClass: KClass<T>)